%define pname     skinelchi
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.2.0
Release:        2
Epoch:		1
Summary:        "Elchi" is a standalone skin based on the "Elchi" text2skin addon

Group:          Multimedia/VDR
License:        GPL
URL:            http://firefly.vdr-developer.org/skinelchi/
Source0:        http://firefly.vdr-developer.org/skinelchi/vdr-skinelchi-0.2.0-beta1.tar.bz2
Source200: vdr-skinelchi.runvdr
Source201: logos-0.2.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

%description
"EnigmaNG" is a standalone skin based on the "Enigma" text2skin addon

%prep
%setup -q -n skinelchi-%{version}-beta1

sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile
sed -i -e s/SKINELCHI_USE_EPGSEARCH_PLUGIN\ =\ 1/#SKINELCHI_USE_EPGSEARCH_PLUGIN\ =\ 1/g Makefile
sed -i -e s/SKINELCHI_HAVE_IMAGEMAGICK\ =\ 1/#SKINELCHI_HAVE_IMAGEMAGICK\ =\ 1/g Makefile


%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%_sysconfdir/vdr/themes
install -dpm 755 $RPM_BUILD_ROOT%_sysconfdir/vdr/plugins/skinelchi
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -pm 755 themes/* $RPM_BUILD_ROOT%_sysconfdir/vdr/themes
tar xvfj %{SOURCE201} -C $RPM_BUILD_ROOT%_sysconfdir/vdr/plugins/skinelchi
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale i18n
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/skinelchi

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable skinelchi >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable skinelchi >/dev/null 2>&1
fi


%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README*
%_sysconfdir/vdr/themes
%_sysconfdir/vdr/plugins/skinelchi
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%_libdir/vdr/locale
%config(noreplace) %{_sysconfdir}/runvdr/skinelchi

%changelog
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.0-2
- rebuild against vdr-1.6.0-9
* Fri Nov 14 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.0-1
- Initial release ( beta1 )